kmalloc_node
Prev | The Slab Cache | Next

## Name

kmalloc_node — allocate memory from a specific node

## Synopsis

`void * kmalloc_node (` | size_t | size,
| gfp_t | flags,
| int | node`)`;

## Arguments

`size`

  how many bytes of memory are required.

`flags`

  the type of memory to allocate (see kcalloc).

`node`

  node to allocate from.

## Description

`kmalloc` for non-local nodes, used to allocate from a specific node if available. Equivalent to `kmalloc` in the non-NUMA single-node case.

Prev | Up | Next
kcalloc | Home | kzalloc